Groovy 1.7.0

## org.codehaus.groovy.binding
Interface FullBinding

    org.codehaus.groovy.binding.FullBinding
      org.codehaus.groovy.binding.BindingUpdatable

All Superinterfaces:
  BindingUpdatable

    interface FullBinding
    extends BindingUpdatable

author:
  Danno Ferrin

version:
  $Revision: 7953 $

since:
  Groovy 1.1

Method Summary
`Closure` | `getConverter()`
`Closure` | `getReverseConverter()`
`SourceBinding` | `getSourceBinding()`
`TargetBinding` | `getTargetBinding()`
`Closure` | `getValidator()`
`void` | `setConverter(Closure converter)`
`void` | `setReverseConverter(Closure reverseConverter)`
`void` | `setSourceBinding(SourceBinding source)`
`void` | `setTargetBinding(TargetBinding target)`
`void` | `setValidator(Closure validator)`

Methods inherited from interface BindingUpdatable
bind, rebind, reverseUpdate, unbind, update

Method Detail

### getConverter

    public Closure getConverter()

### getReverseConverter

    public Closure getReverseConverter()

### getSourceBinding

    public SourceBinding getSourceBinding()

### getTargetBinding

    public TargetBinding getTargetBinding()

### getValidator

    public Closure getValidator()

### setConverter

    public void setConverter(Closure converter)

### setReverseConverter

    public void setReverseConverter(Closure reverseConverter)

### setSourceBinding

    public void setSourceBinding(SourceBinding source)

### setTargetBinding

    public void setTargetBinding(TargetBinding target)

### setValidator

    public void setValidator(Closure validator)

Copyright © 2003-2009 The Codehaus. All rights reserved.